Integrations (Beta)
Cloud provider integration endpoints
Returns all active cloud provider integrations for the organization.
OK
Integration identifier
Cloud provider (aws, azure, gcp)
Integration name
Cloud-provider organization/tenant identifier (AWS Organizations ID, Azure tenant ID, GCP organization ID).
Whether this integration has active credentials
Billing currency (e.g. 'USD')
Earliest date cost data is available from this integration
Latest date cost data is available from this integration
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Internal server error
Default error response
GET /beta/v1/org/{org_id}/integrations HTTP/1.1
Accept: */*
[
{
"id": "text",
"provider": "aws",
"name": "text",
"provider_organization_id": "text",
"active": true,
"currency": "text",
"data_available_since": "2026-01-01T00:00:00.000Z",
"data_available_until": "2026-01-01T00:00:00.000Z"
}
]Returns details for a single integration including its cloud accounts.
OK
Integration identifier
Cloud provider (aws, azure, gcp)
Integration name
Cloud-provider organization/tenant identifier (AWS Organizations ID, Azure tenant ID, GCP organization ID).
Whether this integration has active credentials
Billing currency (e.g. 'USD')
Earliest date cost data is available from this integration
Latest date cost data is available from this integration
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Internal server error
Default error response
GET /beta/v1/org/{org_id}/integrations/{integration_id} HTTP/1.1
Accept: */*
{
"id": "text",
"provider": "aws",
"name": "text",
"provider_organization_id": "text",
"active": true,
"currency": "text",
"data_available_since": "2026-01-01T00:00:00.000Z",
"data_available_until": "2026-01-01T00:00:00.000Z",
"accounts": [
{
"id": "text",
"account_id": "text",
"name": "text",
"email": "text",
"provider": "aws",
"is_management": true,
"has_write_access": true
}
]
}Last updated
Was this helpful?

